summaryrefslogtreecommitdiffstats
path: root/debian/dnsutils.postinst
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-05-05 18:42:26 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-05-05 18:42:26 +0000
commitad1229b34581f892e3cf7247ecca329f975c40ab (patch)
treecb9486d2b7ccc70d14ef569b60d6fa1e3ce7102d /debian/dnsutils.postinst
parentUpdating vcs fields. (diff)
downloadbind9-ad1229b34581f892e3cf7247ecca329f975c40ab.tar.xz
bind9-ad1229b34581f892e3cf7247ecca329f975c40ab.zip
Using update-alternatives to handle /usr/bin/dig.
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'debian/dnsutils.postinst')
-rw-r--r--debian/dnsutils.postinst25
1 files changed, 25 insertions, 0 deletions
diff --git a/debian/dnsutils.postinst b/debian/dnsutils.postinst
new file mode 100644
index 0000000..a4df644
--- /dev/null
+++ b/debian/dnsutils.postinst
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+set -e
+
+case "${1}" in
+ configure)
+ # update-alternatives: dig
+ update-alternatives --quiet \
+ --install /usr/bin/dig dig /usr/bin/dig.bind9 20 \
+ --slave /usr/share/man/man1/dig.1.gz dig.1.gz /usr/share/man/man1/dig.bind9.1.gz
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`${1}'" >&2
+ exit 1
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0